{
  description = "little-hesinde project";
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
    fenix.url = "github:nix-community/fenix";
  };

  outputs =
    {
      nixpkgs,
      fenix,
      flake-utils,
      ...
    }:
    flake-utils.lib.eachDefaultSystem (
      system:
      let
        pkgs = import nixpkgs { inherit system; };
        rust = fenix.packages.${system}.stable;
      in
      {
        devShells.default = pkgs.mkShell {
          buildInputs = [
            rust.toolchain
            pkgs.cargo-deny
            pkgs.rust-analyzer
          ];
        };
      }
    );
}
