//! Handle multiple authors in html.

use calibre_db::{calibre::Calibre, data::pagination::SortOrder};
use poem::Response;

use crate::handlers::paginated;

/// Render all authors paginated by cursor in html.
pub async fn handler(
    calibre: &Calibre,
    cursor: Option<&str>,
    sort_order: &SortOrder,
) -> Result<Response, poem::Error> {
    paginated::render(
        "authors",
        || calibre.authors(25, cursor, sort_order),
        |author| author.sort.clone(),
        |cursor| calibre.has_previous_authors(cursor),
        |cursor| calibre.has_more_authors(cursor),
    )
}
