//! Handle recent books in html.

use poem::{error::InternalServerError, web::Html, IntoResponse, Response};
use tera::Context;

use crate::{data::book::Book, templates::TEMPLATES};

/// Render recent books as html.
pub async fn handler(recent_books: Vec<Book>) -> Result<Response, poem::Error> {
    let mut context = Context::new();
    context.insert("title", "");
    context.insert("nav", "recent");
    context.insert("books", &recent_books);

    Ok(TEMPLATES
        .render("book_list", &context)
        .map_err(InternalServerError)
        .map(Html)?
        .into_response())
}
