//! Handle search results in html.

use poem::{error::InternalServerError, web::Html, IntoResponse, Response};
use tera::Context;

use crate::{data::book::Book, templates::TEMPLATES};

/// Render all search results as html.
pub async fn handler(books: Vec<Book>) -> Result<Response, poem::Error> {
    let mut context = Context::new();
    context.insert("title", "Search Results");
    context.insert("nav", "search");
    context.insert("books", &books);

    Ok(TEMPLATES
        .render("book_list", &context)
        .map_err(InternalServerError)
        .map(Html)?
        .into_response())
}
