//! Handle multiple series in html.

use calibre_db::{calibre::Calibre, data::pagination::SortOrder};
use poem::Response;

use crate::handlers::paginated;

/// Render all series paginated by cursor as html.
pub async fn handler(
    calibre: &Calibre,
    cursor: Option<&str>,
    sort_order: &SortOrder,
) -> Result<Response, poem::Error> {
    paginated::render(
        "series",
        || calibre.series(25, cursor, sort_order),
        |series| series.sort.clone(),
        |cursor| calibre.has_previous_series(cursor),
        |cursor| calibre.has_more_series(cursor),
    )
}
