use crate::{APP_NAME, VERSION};
use poem::{handler, Response};

const SOURCE_ARCHIVE: &[u8] = include_bytes!(concat!(env!("OUT_DIR"), "/archive.zip"));

/// Handle a request for source code of the server..
#[handler]
pub async fn handler() -> Result<Response, poem::Error> {
    let file_name = format!("{APP_NAME}-{VERSION}.zip");
    crate::handlers::download::handler(&file_name, SOURCE_ARCHIVE, "application/zip").await
}
